import 'package:flutter/material.dart';
import 'package:yuanjs_easy_chart/painter/easy_line_chart.dart';
import 'package:yuanjs_easy_chart/tools/data.dart';

class EasyLineChart extends StatefulWidget {
  final List<ChartData> datas; //展示数据
  final Color storkColor; //画笔颜色
  final Color backgroundColor; //背景颜色
  final Color xyColor; //xy轴的颜色
  final Size size; //大小
  final String xName; //x轴名称
  final String yName; //y轴名称
  final bool isCurve; //是否为曲线

  const EasyLineChart(
    this.datas, {
    this.size = const Size(400, 400),
    Key key,
    this.storkColor = Colors.blueAccent,
    this.backgroundColor = Colors.grey,
    this.xName,
    this.yName,
    this.isCurve = false,
    this.xyColor = Colors.blueAccent,
  });

  @override
  _EasyLineChartState createState() => _EasyLineChartState();
}

class _EasyLineChartState extends State<EasyLineChart> {
  @override
  Widget build(BuildContext context) {
    var _painter = EasyLinePainter(widget.datas, widget.xName, widget.yName,
        widget.isCurve, widget.storkColor, widget.xyColor);
    return CustomPaint(
      size: widget.size,
      painter: _painter,
    );
  }
}
